Loading...
Searching...
No Matches
websocketpp::concurrency::basic Class Reference

Concurrency policy that uses std::mutex / boost::mutex. More...

`#include <basic.hpp>`

## Public Types

typedef lib::mutex | mutex_type
typedef lib::lock_guard< mutex_type > | scoped_lock_type

## Detailed Description

Concurrency policy that uses std::mutex / boost::mutex.

Definition at line 37 of file basic.hpp.

## Member Typedef Documentation

## mutex_type

typedef lib::mutex websocketpp::concurrency::basic::mutex_type

Definition at line 39 of file basic.hpp.

## scoped_lock_type

typedef lib::lock_guard<mutex_type> websocketpp::concurrency::basic::scoped_lock_type

Definition at line 40 of file basic.hpp.

The documentation for this class was generated from the following file:

- websocketpp/concurrency/basic.hpp